/* Copyright (C) 1999 Beau Kuiper

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */

int ftp_none(FTPSTATE *peer, char *param);
int ftp_dele(FTPSTATE *peer, char *filename);
int ftp_size(FTPSTATE *peer, char *filename);
int ftp_mdtm(FTPSTATE *peer, char *filename);
int ftp_rnto(FTPSTATE *peer, char *filename);
int ftp_mkd(FTPSTATE *peer, char *filename);
int ftp_rmd(FTPSTATE *peer, char *filename);
int ftp_retr(FTPSTATE *peer, char *filename); 
int ftp_stor(FTPSTATE *peer, char *filename); 
int ftp_stou(FTPSTATE *peer, char *filename); 
int ftp_appe(FTPSTATE *peer, char *filename);
int ftp_quit(FTPSTATE *peer, char *param);
int ftp_user(FTPSTATE *peer, char *param);
int ftp_pass(FTPSTATE *peer, char *param);
int ftp_rest(FTPSTATE *peer, char *param);
int ftp_syst(FTPSTATE *peer, char *param);
int ftp_port(FTPSTATE *peer, char *param);
int ftp_pwd(FTPSTATE *peer, char *param);
int ftp_type(FTPSTATE *peer, char *param);
int ftp_cwd(FTPSTATE *peer, char *param);
int ftp_abor(FTPSTATE *peer, char *param);
int ftp_pasv(FTPSTATE *peer, char *param);
int ftp_list(FTPSTATE *peer, char *param);
int ftp_nlst(FTPSTATE *peer, char *param);
int ftp_cdup(FTPSTATE *peer, char *param);
int ftp_rnfr(FTPSTATE *peer, char *param);
int ftp_dump(FTPSTATE *peer, char *param);
int ftp_noop(FTPSTATE *peer, char *param);
int ftp_rein(FTPSTATE *peer, char *param);
int ftp_help(FTPSTATE *peer, char *param);
int ftp_allo(FTPSTATE *peer, char *param);
int ftp_acct(FTPSTATE *peer, char *param);
int ftp_stru(FTPSTATE *peer, char *param);
int ftp_host(FTPSTATE *peer, char *param);
int ftp_epsv(FTPSTATE *peer, char *param);
int ftp_eprt(FTPSTATE *peer, char *param);

int ftpsite_dump(FTPSTATE *peer, char *cmd);
int ftpsite_umask(FTPSTATE *peer, char *cmd);
int ftpsite_help(FTPSTATE *peer, char *cmd);
int ftpsite_chmod(FTPSTATE *peer, char *cmd);
int ftpsite_access(FTPSTATE *peer, char *cmd);
int ftpsite_idle(FTPSTATE *peer, char *cmd);
